import { IgcHeaderComponent } from "./igc-header-component";
import { TextHeader } from "./TextHeader";
/**
 * Represents a class used to configure the appearance of a text column header cells.
*/
export declare class IgcTextHeaderComponent extends IgcHeaderComponent {
    protected createImplementation(): TextHeader;
    /**
                                 * @hidden
                                 */
    readonly i: TextHeader;
    constructor();
    connectedCallback(): void;
    private static _observedAttributesIgcTextHeaderComponent;
    static readonly observedAttributes: string[];
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
}
